Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_model_get_contexts

## Name

librdf_model_get_contexts -- return the list of contexts in the graph

## Synopsis

``librdf_iterator* `librdf_model_get_contexts`` (librdf_model* `model`);`

## Arguments

`model`

  librdf_model object

## Description

Returns an iterator of librdf_node context nodes for each context in the graph.

## Return value

librdf_iterator of context nodes or NULL on failure or if contexts are not supported

<<< Previous | Home | Next >>>
librdf_model_find_statements_in_context | Up | librdf_model_get_feature